<?php
// +---------------------------------------------------------------------------------------+
// | TenderSystem                                                                          |
// +---------------------------------------------------------------------------------------+
// | The contents of this file are subject to the TenderSystem Public License Version 1.1  |
// | ("License"); you may not use this file except in compliance with the License. You may |
// | obtain a copy of the License at http://www.tendersystem.com/tpl/                      |
// |                                                                                       |
// | Software distributed under the License is distributed on an "AS IS" basis, WITHOUT    |
// | WARRANTY OF ANY KIND, either express or implied. See the License for the specific     |
// | language governing rights and limitations under the License.                          |
// |                                                                                       |
// | All copies of the Covered Code must include the "Powered by TenderSystem" logo and    |
// | ValueCard copyright notice on every user interface screen and in every outgoing       |
// | email in the same form as they appear in the distribution.                            |
// |                                                                                       |
// | The Original Code is: TenderSystem                                                    |
// | The Initial Developer of the Original Code is ValueCard (Pty) Limited.                |
// | Portions created by ValueCard are Copyright (C) 2002 ValueCard (Pty) Limited.         |
// | All Rights Reserved.                                                                  |
// | Contributor(s): __________________.                                                   |
// +---------------------------------------------------------------------------------------+


/*CREATE TABLE ~session (
  id varchar(50) default '' NOT NULL,
  user_id integer default '0' NOT NULL,
  ip_address varchar(50) default '' NOT NULL,
  ip_server varchar(50) default '' NOT NULL,
  created_date date, created_time time,
  expire_date date, expire_time time,
  authentication varchar(10) default '' NOT NULL,
  browser varchar(100) default '' NOT NULL,
  status char(1) default '0' NOT NULL
);*/
$table['session']['id']				= array("varchar(255)",	"",			TRUE);
$table['session']['user_id']		= array("integer",		FALSE,		TRUE,	FALSE,	"users");
$table['session']['ip_address']		= array("inet",			"0.0.0.0");
$table['session']['ip_server']		= array("inet",			"0.0.0.0");
$table['session']['ip_api']			= array("inet",			"0.0.0.0");
$table['session']['authentication']	= array("varchar(255)",	"",			TRUE);
$table['session']['browser']		= array("varchar(255)",	"unknown",	TRUE);
$table['session']['expire_date']	= array("date");
$table['session']['expire_time']	= array("time");
$table['session']['status']			= array("integer",		"0",		TRUE);

?>
